hpp-fcl: ShapeMeshDistanceTraversalNodeRSS< S > Class Template Reference

hpp-fcl 1.7.7 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | List of all members
ShapeMeshDistanceTraversalNodeRSS< S > Class Template Reference

Traversal node for distance between shape and mesh, when mesh BVH is one of the oriented node (RSS, kIOS, OBBRSS) More...

`#include <hpp/fcl/internal/traversal_node_bvh_shape.h>`

Inheritance diagram for ShapeMeshDistanceTraversalNodeRSS< S >:

## Public Member Functions
| ShapeMeshDistanceTraversalNodeRSS ()
void | preprocess ()
void | postprocess ()
FCL_REAL | BVDistanceLowerBound (int, int b2) const
void | leafComputeDistance (int b1, int b2) const
Public Member Functions inherited from ShapeMeshDistanceTraversalNode< S, RSS >
| ShapeMeshDistanceTraversalNode ()
void | leafComputeDistance (int, int b2) const
| Distance testing between leaves (one shape and one triangle) More...
bool | canStop (FCL_REAL c) const
| Whether the traversal process can stop early. More...

## Additional Inherited Members
Public Attributes inherited from ShapeMeshDistanceTraversalNode< S, RSS >
Vec3f * | vertices
Triangle * | tri_indices
FCL_REAL | rel_err
FCL_REAL | abs_err
const GJKSolver * | nsolver

## Detailed Description

### template<typename S>
class ShapeMeshDistanceTraversalNodeRSS< S >

Traversal node for distance between shape and mesh, when mesh BVH is one of the oriented node (RSS, kIOS, OBBRSS)

## Constructor & Destructor Documentation

## ◆ ShapeMeshDistanceTraversalNodeRSS()

template<typename S >

ShapeMeshDistanceTraversalNodeRSS< S >::ShapeMeshDistanceTraversalNodeRSS | ( |  | ) |
| inline

## Member Function Documentation

## ◆ BVDistanceLowerBound()

template<typename S >

FCL_REAL ShapeMeshDistanceTraversalNodeRSS< S >::BVDistanceLowerBound | ( | int | ,
|  | int | b2
| ) |  | const
| inline

## ◆ leafComputeDistance()

template<typename S >

void ShapeMeshDistanceTraversalNodeRSS< S >::leafComputeDistance | ( | int | b1,
|  | int | b2
| ) |  | const
| inline

## ◆ postprocess()

template<typename S >

void ShapeMeshDistanceTraversalNodeRSS< S >::postprocess | ( |  | ) |
| inline

## ◆ preprocess()

template<typename S >

void ShapeMeshDistanceTraversalNodeRSS< S >::preprocess | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/fcl/internal/traversal_node_bvh_shape.h